=== tests/CMakeLists.txt ===
add_subdirectory(passwordsmodeltest)
