=== debian/changelog ===
plasma-pass (1.2.0-2) unstable; urgency=medium

  * Switch the gpg dependency to gnupg2, as plasma-pass uses the binary name to
    identify the version; see https://bugs.kde.org/433112.
  * Fix the Repository* keys in debian/upstream/metadata.
  * Backport upstream commit 5f62fcc30e7d6c8248dfb6a263ee4a49e7c19e3b to install
    the debug categories file in the more modern location; patch
    upstream_cmake-install-plasma-pass.categories-in-newer-locati.patch
    - unregister plasma-pass.categories as conffile

 -- Pino Toscano <pino@debian.org>  Sat, 27 Feb 2021 16:27:41 +0100

plasma-pass (1.2.0-1) unstable; urgency=medium

  * Initial packaging.

 -- Pino Toscano <pino@debian.org>  Wed, 17 Feb 2021 21:11:30 +0100
