=== debian/control ===
Source: plasma-pass
Section: utils
Priority: optional
Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Pino Toscano <pino@debian.org>
Build-Depends: debhelper-compat (= 13),
 cmake (>= 3.5.0),
 gettext,
 pkg-kde-tools (>= 0.15.16),
 extra-cmake-modules (>= 5.57.0~),
 qtbase5-dev (>= 5.11.0~),
 qtdeclarative5-dev (>= 5.11.0~),
 libkf5plasma-dev (>= 5.57.0~),
 libkf5i18n-dev (>= 5.57.0~),
 libkf5itemmodels-dev (>= 5.57.0~),
 liboath-dev,
Standards-Version: 4.5.1
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/plasma-pass.git
Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/plasma-pass
Homepage: https://invent.kde.org/plasma/plasma-pass

Package: plasma-pass
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends},
 gnupg2,
Suggests:
 pass,
 pass-extension-otp,
Description: Plasma applet to access passwords from "pass"
 Plasma Pass is a Plasma applet to access password from pass, the standard
 UNIX password manager: https://www.passwordstore.org.
 .
 The "pass" utility is not required by Plasma Pass.
