=== plugin/CMakeLists.txt ===
--- 
+++ 
@@ -1,16 +1,30 @@
+# SPDX-FileCopyrightText: 2021 Daniel Vrátil <dvratil@kde.org>
+#
+# SPDX-License-Identifier: LGPL-2.1-or-later
+
 ###### STATIC LIBRARY ######
 
 set(plasmapasslib_SRCS
     abbreviations.cpp
+    klipperutils.cpp
     otpprovider.cpp
     providerbase.cpp
     passwordfiltermodel.cpp
     passwordsmodel.cpp
     passwordsortproxymodel.cpp
     passwordprovider.cpp
+
+    abbreviations.h
+    klipperutils.h
+    otpprovider.h
+    providerbase.h
+    passwordfiltermodel.h
+    passwordsmodel.h
+    passwordsortproxymodel.h
+    passwordprovider.h
 )
 
-qt5_add_dbus_interfaces(plasmapasslib_SRCS
+qt_add_dbus_interfaces(plasmapasslib_SRCS
     ${CMAKE_CURRENT_SOURCE_DIR}/interfaces/org.kde.klipper.klipper.xml
 )
 
@@ -21,22 +35,30 @@
 )
 
 add_library(plasmapass STATIC ${plasmapasslib_SRCS})
-
+set_property(TARGET plasmapass PROPERTY POSITION_INDEPENDENT_CODE ON)
 target_link_libraries(plasmapass
     Qt::Core
     Qt::DBus
     Qt::Qml
     Qt::Concurrent
-    KF5::Plasma
-    KF5::I18n
-    KF5::ItemModels
+    KF${KF_MAJOR_VERSION}::Plasma
+    KF${KF_MAJOR_VERSION}::I18n
+    KF${KF_MAJOR_VERSION}::ItemModels
     OATH::OATH
 )
+
+if (QT_MAJOR_VERSION STREQUAL "6")
+    target_link_libraries(plasmapass QGpgmeQt6)
+else()
+    target_link_libraries(plasmapass QGpgme)
+endif()
+
 
 ########### PLUGN ###########
 
 set(plasmapassplugin_SRCS
     plasmapassplugin.cpp
+    plasmapassplugin.h
 )
 
 add_library(plasmapassplugin SHARED ${plasmapassplugin_SRCS})
