=== tests/passwordsmodeltest/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,8 @@
-find_package(Qt5Widgets CONFIG REQUIRED)
+# SPDX-FileCopyrightText: 2021 Daniel Vrátil <dvratil@kde.org>
+#
+# SPDX-License-Identifier: LGPL-2.1-or-later
+
+find_package(Qt${QT_MAJOR_VERSION}Widgets CONFIG REQUIRED)
 include_directories(${CMAKE_SOURCE_DIR}/plugin)
 
 set(passwordsmodeltest_SRCS
@@ -12,5 +16,5 @@
     Qt::Core
     Qt::DBus
     Qt::Widgets
-    KF5::Plasma
+    KF${KF_MAJOR_VERSION}::Plasma
 )
