=== debian/changelog ===
plasma-pass (1.2.1-1) experimental; urgency=medium

  * New upstream release.
  * Update the patches:
    - upstream_cmake-install-plasma-pass.categories-in-newer-locati.patch:
      drop, backported from upstream
  * Update the build dependencies according to the upstream build system:
    - bump cmake to 3.16
    - bump Qt packages to 5.15
    - bump KF packages to 5.90.0
    - add libgpgmepp-dev, libgpgme-dev, and libgpg-error-dev
  * Modernize building:
    - add the dh-sequence-kf5 build dependency to use the kf5 addon
      automatically, removing pkg-kde-tools
    - drop all the manually specified addons and buildsystem for dh
  * Update standards version to 4.6.2, no changes needed.
  * Drop the gnupg2 dependency, as the GpgME library is used instead of the
    gpg executable.
  * Drop the removal of the old plasma-pass.categories conffile: it was never
    part of a stable Debian release.

 -- Pino Toscano <pino@debian.org>  Mon, 13 Mar 2023 08:29:00 +0100
