=== debian/control ===
--- 
+++ 
@@ -4,17 +4,20 @@
 Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: Pino Toscano <pino@debian.org>
 Build-Depends: debhelper-compat (= 13),
- cmake (>= 3.5.0),
+ dh-sequence-kf5,
+ cmake (>= 3.16~),
  gettext,
- pkg-kde-tools (>= 0.15.16),
- extra-cmake-modules (>= 5.57.0~),
- qtbase5-dev (>= 5.11.0~),
- qtdeclarative5-dev (>= 5.11.0~),
- libkf5plasma-dev (>= 5.57.0~),
- libkf5i18n-dev (>= 5.57.0~),
- libkf5itemmodels-dev (>= 5.57.0~),
+ extra-cmake-modules (>= 5.90.0~),
+ qtbase5-dev (>= 5.15.0~),
+ qtdeclarative5-dev (>= 5.15.0~),
+ libkf5plasma-dev (>= 5.90.0~),
+ libkf5i18n-dev (>= 5.90.0~),
+ libkf5itemmodels-dev (>= 5.90.0~),
  liboath-dev,
-Standards-Version: 4.5.1
+ libgpgmepp-dev,
+ libgpgme-dev,
+ libgpg-error-dev,
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/plasma-pass.git
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/plasma-pass
@@ -24,7 +27,6 @@
 Architecture: any
 Depends: ${shlibs:Depends},
  ${misc:Depends},
- gnupg2,
 Suggests:
  pass,
  pass-extension-otp,
