## plasma-pass 1.2.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 
 cmake_minimum_required(VERSION 3.16)
 
-set(PROJECT_VERSION "1.2.1")
+set(PROJECT_VERSION "1.2.2")
 
 project(plasma-plasmapass VERSION ${PROJECT_VERSION})
 
@@ -13,7 +13,8 @@
 set(QT_MIN_VERSION "5.15")
 set(KF5_MIN_VERSION "5.90.0")
 
-set(CMAKE_CXX_STANDARD 14)
+set(CMAKE_CXX_STANDARD 20)
+set(CMAKE_CXX_STANDARD_REQUIRED ON)
 
 find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
 set(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake ${ECM_MODULE_PATH})
@@ -46,10 +47,17 @@
     set(KF_MAJOR_VERSION "5")
 endif()
 find_package(KF${KF_MAJOR_VERSION} ${KF5_MIN_VERSION} REQUIRED COMPONENTS
-    Plasma
     I18n
     ItemModels
+    KIO
 )
+
+if (QT_MAJOR_VERSION STREQUAL "6")
+    find_package(Plasma REQUIRED)
+    find_package(Plasma5Support REQUIRED)
+else()
+    find_package(KF5Plasma REQUIRED)
+endif()
 
 find_package(Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS
     Core
