=== tests/passwordsmodeltest/CMakeLists.txt ===
--- 
+++ 
@@ -16,5 +16,4 @@
     Qt::Core
     Qt::DBus
     Qt::Widgets
-    KF${KF_MAJOR_VERSION}::Plasma
 )
