=== debian/changelog ===
plasma-pass (1.2.2-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Team upload.
  * Switch libgpgmepp-dev B-D to libqgpgme-dev (Closes: #1078487).

 -- Patrick Franz <deltaone@debian.org>  Sun, 25 Aug 2024 19:16:07 +0200

plasma-pass (1.2.2-1) unstable; urgency=medium

  * New upstream release.
  * Update the upstream GPG signing key.
  * Update the build dependencies according to the upstream build system:
    - add libkf5kio-dev

 -- Pino Toscano <pino@debian.org>  Mon, 26 Feb 2024 07:36:39 +0100

plasma-pass (1.2.1-2) unstable; urgency=medium

  * Upload to unstable.

 -- Pino Toscano <pino@debian.org>  Sun, 11 Jun 2023 21:16:04 +0200
