=== debian/control ===
--- 
+++ 
@@ -13,8 +13,9 @@
  libkf5plasma-dev (>= 5.90.0~),
  libkf5i18n-dev (>= 5.90.0~),
  libkf5itemmodels-dev (>= 5.90.0~),
+ libkf5kio-dev (>= 5.90.0~),
  liboath-dev,
- libgpgmepp-dev,
+ libqgpgme-dev,
  libgpgme-dev,
  libgpg-error-dev,
 Standards-Version: 4.6.2
