=== plugin/CMakeLists.txt ===
--- 
+++ 
@@ -41,16 +41,12 @@
     Qt::DBus
     Qt::Qml
     Qt::Concurrent
-    KF${KF_MAJOR_VERSION}::I18n
-    KF${KF_MAJOR_VERSION}::ItemModels
+    KF6::I18n
+    KF6::ItemModels
     OATH::OATH
 )
 
-if (QT_MAJOR_VERSION STREQUAL "6")
-    target_link_libraries(plasmapass QGpgmeQt6 Plasma::Plasma5Support Qt::Gui KF6::ConfigCore KF6::CoreAddons)
-else()
-    target_link_libraries(plasmapass QGpgme KF${KF_MAJOR_VERSION}::Plasma)
-endif()
+target_link_libraries(plasmapass QGpgmeQt6 Plasma::Plasma5Support Qt::Gui KF6::ConfigCore KF6::CoreAddons)
 
 
 ########### PLUGN ###########
