=== debian/changelog ===
plasma-pass (1.3.0-1) unstable; urgency=medium

  * New upstream release.
  * Update the upstream GPG signing key with the key of Heiko Becker.
  * Update the patches:
    - plasma6_port.patch: drop, backported from upstream

 -- Pino Toscano <pino@debian.org>  Sun, 10 Aug 2025 13:45:12 +0200

plasma-pass (1.2.2-3) unstable; urgency=medium

  [ Patrick Franz ]
  * Team upload.
  * Backport patch to port plasma-pass to Plasma 6 (Closes: #1100119).
  * Bump Standards-Version to 4.7.2 (no changes needed).

 -- Patrick Franz <deltaone@debian.org>  Sun, 30 Mar 2025 15:01:21 +0200
