=== debian/control ===
Source: plasma-pass
Section: utils
Priority: optional
Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Pino Toscano <pino@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               cmake (>= 3.16~),
               extra-cmake-modules (>= 6.3.0~),
               gettext,
               libgpg-error-dev,
               libgpgme-dev,
               libkf6i18n-dev (>= 6.3.0~),
               libkf6itemmodels-dev (>= 6.3.0~),
               libkf6kio-dev (>= 6.3.0~),
               liboath-dev,
               libplasma-dev,
               libplasma5support-dev,
               libqgpgmeqt6-dev,
               qt6-base-dev (>= 6.6.0~),
               qt6-declarative-dev (>= 6.6.0~),
Standards-Version: 4.7.2
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/plasma-pass.git
Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/plasma-pass
Homepage: https://invent.kde.org/plasma/plasma-pass

Package: plasma-pass
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Suggests: pass, pass-extension-otp,
Description: Plasma applet to access passwords from "pass"
 Plasma Pass is a Plasma applet to access password from pass, the standard
 UNIX password manager: https://www.passwordstore.org.
 .
 The "pass" utility is not required by Plasma Pass.
