=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.sig/ https://download.kde.org/stable/plasma-pass/plasma-pass-([\d.]+)\.tar\.xz
