## plasma-pass 1.3.0+p24.04+vstable+git20250914.1654

=== debian/changelog ===
plasma-pass (1.3.0+p24.04+vstable+git20250914.1654-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 14 Sep 2025 16:54:13 +0000

plasma-pass (1.3.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 01 Aug 2025 18:33:12 +0000

plasma-pass (1.2.2-1neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 02 Mar 2023 23:36:03 +0000
