## plasma-pass 1.3.0+p24.04+vstable+git20250930.0322

=== debian/changelog ===
plasma-pass (1.3.0+p24.04+vstable+git20250930.0322-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 30 Sep 2025 03:22:12 +0000
