## plasma-pass 1.3.0+p24.04+vstable+git20251016.2221

=== debian/changelog ===
plasma-pass (1.3.0+p24.04+vstable+git20251016.2221-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 16 Oct 2025 22:21:46 +0000
