## plasma-pass 1.3.0+p24.04+vstable+git20251019.0352

=== debian/changelog ===
plasma-pass (1.3.0+p24.04+vstable+git20251019.0352-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 19 Oct 2025 03:52:55 +0000
