=== debian/control ===
Source: plasma-pass
Section: utils
Priority: optional
Uploaders: Pino Toscano <pino@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               gettext,
               kf6-extra-cmake-modules,
               kf6-kconfig-dev,
               kf6-kcoreaddons-dev,
               kf6-ki18n-dev,
               kf6-kio-dev,
               kf6-kitemmodels-dev,
               kf6-kservice-dev,
               kf6-kwindowsystem-dev,
               libgpg-error-dev,
               libgpgme-dev,
               libgpgmepp-dev,
               liboath-dev,
               libplasma-dev,
               libqgpgmeqt6-dev,
               pkg-kde-tools-neon,
               plasma5support-dev,
               qt6-base-dev,
               qt6-declarative-dev
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://invent.kde.org/plasma/plasma-pass
Vcs-Git: https://invent.kde.org/neon/extras/plasma-pass.git
Vcs-Browser: https://invent.kde.org/neon/extras/plasma-pass
Maintainer: Neon CI <neon@kde.org>

Package: plasma-pass
Architecture: any
Depends: gnupg2,
         libplasma6,
         qml6-module-org-kde-kirigami2,
         qml6-module-qtquick,
         qml6-module-qtquick-controls,
         qml6-module-qtquick-layouts,
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: pass, pass-extension-otp
Description: Plasma applet to access passwords from "pass"
 Plasma Pass is a Plasma applet to access password from pass, the standard
 UNIX password manager: https://www.passwordstore.org.
 .
 The "pass" utility is not required by Plasma Pass.
