## plasma-pass 1.3.0+p24.04+vstable+git20251231.0341

=== debian/changelog ===
plasma-pass (1.3.0+p24.04+vstable+git20251231.0341-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 31 Dec 2025 03:41:35 +0000
