## plasma-pass 1.3.0+p24.04+vstable+git20260129.0122

=== debian/changelog ===
plasma-pass (1.3.0+p24.04+vstable+git20260129.0122-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 29 Jan 2026 01:22:40 +0000
