## plasma-pass 1.3.0+p24.04+vstable+git20260131.0426

=== debian/changelog ===
plasma-pass (1.3.0+p24.04+vstable+git20260131.0426-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 31 Jan 2026 04:26:55 +0000
