## plasma-pass 1.3.0+p24.04+vunstable+git20251020.1253

=== debian/changelog ===
plasma-pass (1.3.0+p24.04+vunstable+git20251020.1253-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 20 Oct 2025 12:53:29 +0000
