## plasma-pass 1.3.0+p24.04+vunstable+git20251202.2237

=== debian/changelog ===
plasma-pass (1.3.0+p24.04+vunstable+git20251202.2237-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 02 Dec 2025 22:37:15 +0000
