=== debian/control ===
--- 
+++ 
@@ -10,6 +10,7 @@
                kf6-kcoreaddons-dev,
                kf6-ki18n-dev,
                kf6-kio-dev,
+               kf6-kirigami-dev,
                kf6-kitemmodels-dev,
                kf6-kservice-dev,
                kf6-kwindowsystem-dev,
