## plasma-pass 1.3.0+p24.04+vunstable+git20260107.1305

=== debian/changelog ===
plasma-pass (1.3.0+p24.04+vunstable+git20260107.1305-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 07 Jan 2026 13:05:56 +0000
