## plasma-pass 1.3.0+p24.04+vunstable+git20260131.0119

=== debian/changelog ===
plasma-pass (1.3.0+p24.04+vunstable+git20260131.0119-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 31 Jan 2026 01:19:18 +0000
