## plasma-pass 1.3.0+p24.04+vunstable+git20260205.0720

=== debian/changelog ===
plasma-pass (1.3.0+p24.04+vunstable+git20260205.0720-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 05 Feb 2026 07:20:10 +0000
